<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'moodle', language 'en_us_k12', version '2.2'.
 *
 * @package     moodle
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activities_help'] = 'Activities, such as forums, quizzes and wikis, enable interactive content to be added to the class.';
$string['addcreator'] = 'Add class creator';
$string['addedtogroupnotenrolled'] = 'Not added to group \\"{$a}\\", because not enrolled in class';
$string['addnewcourse'] = 'Add a new class';
$string['adminhelpassigncreators'] = 'Class creators can create new classes';
$string['adminhelpassignstudents'] = 'Go into a class and add students from the admin menu';
$string['adminhelpcourses'] = 'Define classes and categories and assign people to them, edit pending classes';
$string['administratordescription'] = 'Administrators can usually do anything on the site, in all classes.';
$string['areyousuretorestorethisinfo'] = 'Later in this process you will have a choice of adding this backup to an existing class or creating a completely new class.';
$string['availablecourses'] = 'Available classes';
$string['backtocourselisting'] = 'Back to class listing';
$string['backupcoursefileshelp'] = 'If enabled then class files will be included in automated backups';
$string['backupfailed'] = 'Some of your classes weren\'t saved!!';
$string['backupincludemoduleshelp'] = 'Choose whether you want to include class modules, with or without user data, in automated backups';
$string['backupsitefileshelp'] = 'If enabled then site files used in classes will be included in automated backups';
$string['bycourseorder'] = 'By class order';
$string['categories'] = 'Class categories';
$string['categorycontents'] = 'Subcategories and classes';
$string['checkingcourse'] = 'Checking class';
$string['childcoursenotfound'] = 'Child class not found!';
$string['childcourses'] = 'Child classes';
$string['choosecourse'] = 'Choose a class';
$string['continuetocourse'] = 'Click here to enter your class';
$string['copyingcoursefiles'] = 'Copying class files';
$string['copyingsitefiles'] = 'Copying site files used in class';
$string['course'] = 'Class';
$string['courseadministration'] = 'Class administration';
$string['courseapprovedemail'] = 'Your requested class, {$a->name}, has been approved and you have been made a {$a->teacher}.  To access your new class, go to {$a->url}';
$string['courseapprovedemail2'] = 'Your requested class, {$a->name}, has been approved.  To access your new class, go to {$a->url}';
$string['courseapprovedfailed'] = 'Failed to save the class as approved!';
$string['courseapprovedsubject'] = 'Your class has been approved!';
$string['courseavailable'] = 'This class is available to students';
$string['courseavailablenot'] = 'This class is not available to students';
$string['coursebackup'] = 'Class backup';
$string['coursecategories'] = 'Class categories';
$string['coursecategory'] = 'Class category';
$string['coursecategorydeleted'] = 'Deleted class category {$a}';
$string['coursecompletion'] = 'Class completion';
$string['coursecompletions'] = 'Class completions';
$string['coursecreators'] = 'Class creator';
$string['coursecreatorsdescription'] = 'Class creators can create new classes.';
$string['coursedeleted'] = 'Deleted class {$a}';
$string['coursefiles'] = 'Legacy class files';
$string['coursefilesedit'] = 'Edit legacy class files';
$string['coursefileswarning'] = 'Class files are deprecated';
$string['coursefileswarning_help'] = 'Class files are deprecated since Moodle 2.0, please use external repositories instead as much as possible.';
$string['courseformatdata'] = 'Class format data';
$string['courseformats'] = 'Class formats';
$string['coursegrades'] = 'Class grades';
$string['coursehelpcategory'] = 'Position the class on the class listing and may make it easier for students to find it.';
$string['coursehelpforce'] = 'Force the class group mode to every activity in the class.';
$string['coursehelpformat'] = 'The class main page will be displayed in this format.';
$string['coursehelphiddensections'] = 'How the hidden sections in the class are displayed to students.';
$string['coursehelpmaximumupload'] = 'Define the largest size of file that can be uploaded in this class, limited by the site-wide setting.';
$string['coursehidden'] = 'This class is currently unavailable to students';
$string['courseinfo'] = 'Class info';
$string['courselegacyfiles'] = 'Legacy class files';
$string['courselegacyfiles_link'] = 'classfiles2';
$string['coursemessage'] = 'Message class users';
$string['coursenotaccessible'] = 'This class does not allow public access';
$string['courseoverview'] = 'Class overview';
$string['courseoverviewgraph'] = 'Class overview graph';
$string['courseprofiles'] = 'Class profiles';
$string['coursereject'] = 'Reject a class request';
$string['courserejected'] = 'Class has been rejected and the requester has been notified.';
$string['courserejectemail'] = 'Sorry, but the class you requested has been rejected. Here is the reason provided:

{$a}';
$string['courserejectreason'] = 'Outline your reasons for rejecting this class<br />(this will be emailed to the requester)';
$string['courserejectsubject'] = 'Your class has been rejected';
$string['coursereport'] = 'Class report';
$string['coursereports'] = 'Class reports';
$string['courserequest'] = 'Class request';
$string['courserequestdetails'] = 'Details of the class you are requesting';
$string['courserequestfailed'] = 'For some reason, your class request could not be saved';
$string['courserequestintro'] = 'Use this form to request a class to be created for you.<br />Try and fill in as much information as you can to allow<br />the administrators to understand your reasons for wanting this class.';
$string['courserequestreason'] = 'Reasons for wanting this class';
$string['courserestore'] = 'Class restore';
$string['courses'] = 'Classes';
$string['coursesectionsummaries'] = 'Class section summaries';
$string['coursesettings'] = 'Class default settings';
$string['coursesmovedout'] = 'Classes moved out from {$a}';
$string['coursespending'] = 'Classes pending approval';
$string['coursestart'] = 'Class start';
$string['coursesummary'] = 'Class summary';
$string['coursesummary_help'] = 'The class summary is displayed in the list of classes. A class search searches class summary text in addition to class names.';
$string['courseupdates'] = 'Class updates';
$string['creatingcoursemodules'] = 'Creating class modules';
$string['creatingcourseroles'] = 'Creating class level role assignments and overrides';
$string['creatingnewcourse'] = 'Creating new class';
$string['currentcourseadding'] = 'Current class, adding data to it';
$string['currentcoursedeleting'] = 'Current class, deleting it first';
$string['defaultcoursestudentdescription'] = 'Students generally have fewer privileges within a class.';
$string['defaultcoursesummary'] = 'Write a concise and interesting paragraph here that explains what this class is about';
$string['defaultcourseteacherdescription'] = 'Teachers can do anything within a class, including changing the activities and grading students.';
$string['deletecategorycheck'] = 'Are you absolutely sure you want to completely delete this category <b>\'{$a}\'</b>?<br />This will move all classes into the parent category if there is one, or into Miscellaneous.';
$string['deletecategorycheck2'] = 'If you delete this category, you need to choose what to do with the classes and subcategories it contains.';
$string['deletecourse'] = 'Delete a class';
$string['deletecoursecheck'] = 'Are you absolutely sure you want to completely delete this class and all the data it contains?';
$string['deletingexistingcoursedata'] = 'Deleting existing class data';
$string['editcoursesettings'] = 'Edit class settings';
$string['emaildisplaycourse'] = 'Allow only other class members to see my email address';
$string['entercourse'] = 'Click to enter this class';
$string['existingcourse'] = 'Existing class';
$string['existingcourseadding'] = 'Existing class, adding data to it';
$string['existingcoursedeleting'] = 'Existing class, deleting it first';
$string['existingcreators'] = 'Existing class creators';
$string['findmorecourses'] = 'Find more classes...';
$string['frontpagecourselist'] = 'List of classes';
$string['fulllistofcourses'] = 'All classes';
$string['fullnamecourse'] = 'Class full name';
$string['fullnamecourse_help'] = 'The full name of the class is displayed at the top of each page in the class and in the list of classes.';
$string['guestuserinfo'] = 'This user is a special user that allows read-only access to some classes.';
$string['hiddensections_help'] = 'This setting determines whether hidden sections are displayed to students in collapsed form (perhaps for a class in weekly format to indicate holidays) or are completely hidden.';
$string['idnumbercourse'] = 'Class ID number';
$string['idnumbercourse_help'] = 'The ID number of a class is only used when matching the class against external systems and is not displayed anywhere on the site. If the class has an official code name it may be entered, otherwise the field can be left blank.';
$string['idnumbercoursecategory_help'] = 'The ID number of a class category  is only used when matching the category against external systems and is not displayed anywhere on the site. If the category has an official code name it may be entered, otherwise the field can be left blank.';
$string['importdata'] = 'Import class data';
$string['importdataexported'] = 'Exported data from \'from\' class successfully.<br /> Continue to import into your \'to\' class.';
$string['importdatafinished'] = 'Import complete! Continue to your class';
$string['importdatafrom'] = 'Find a class to import data from:';
$string['includecoursefiles'] = 'Include class files';
$string['includecourseusers'] = 'Include class users';
$string['includesitefiles'] = 'Include site files used in this class';
$string['listofcourses'] = 'List of classes';
$string['loginstepsnone'] = '<p>Hi!</p>
<p>For full access to classes you\'ll need to create yourself an account.</p>
<p>All you need to do is make up a username and password and use it in the form on this page!</p>
<p>If someone else has already chosen your username then you\'ll have to try again using a different username.</p>';
$string['managecourses'] = 'Manage classes';
$string['maximumupload_help'] = 'This setting determines the largest size of file that can be uploaded to the class, limited by the site-wide setting set by an administrator. Activity modules also include a maximum upload size setting for further restricting the file size.';
$string['maxnumcoursesincombo'] = 'Browse <a href=\\"{$a->link}\\">{$a->numberofclasses} classes</a>.';
$string['memberincourse'] = 'People in the class';
$string['messageprovider:courserequestapproved'] = 'Class creation request approval notification';
$string['messageprovider:courserequested'] = 'Class creation request notification';
$string['messageprovider:courserequestrejected'] = 'Class creation request rejection notification';
$string['movecourseto'] = 'Move class to:';
$string['moveselectedcoursesto'] = 'Move selected classes to...';
$string['mycourses'] = 'My classes';
$string['newcourse'] = 'New class';
$string['nocourses'] = 'No classes';
$string['nocoursesfound'] = 'No classes were found with the words \'{$a}\\';
$string['nocoursesyet'] = 'No classes in this category';
$string['nofilesyet'] = 'No files have been uploaded to your class yet';
$string['noimagesyet'] = 'No images have been uploaded to your class yet';
$string['nomorecourses'] = 'No more matching classes could be found';
$string['noneditingteacherdescription'] = 'Non-editing teachers can teach in classes and grade students, but may not alter activities.';
$string['nopendingcourses'] = 'There are no classes pending approval';
$string['nopotentialcreators'] = 'No potential class creators';
$string['nosite'] = 'Could not find site-level class';
$string['nostudentsyet'] = 'No students enrolled in this class yet';
$string['noteachersyet'] = 'No teachers in this class yet';
$string['notenrolled'] = '{$a} is not enrolled in this class.';
$string['notenrolledprofile'] = 'This profile is not available because this user is not enrolled in this class.';
$string['noteuserschangednonetocourse'] = '<strong>Note:</strong> Class users need to be restored when restoring user data (in activities, files or messages). This setting has been changed for you.';
$string['novalidcourses'] = 'No valid classes to be shown';
$string['numberofcourses'] = 'Number of classes';
$string['parentcoursenotfound'] = 'Parent class not found!';
$string['paymentrequired'] = 'This class requires a payment for entry.';
$string['paymentsorry'] = 'Thank you for your payment!  Unfortunately your payment has not yet been fully processed, and you are not yet registered to enter the class \\"{$a->fullname}\\".  Please try continuing to the class in a few seconds, but if you continue to have trouble then please alert the {$a->teacher} or the site administrator';
$string['paymentthanks'] = 'Thank you for your payment!  You are now enrolled in your class:<br />\\"{$a}\\"';
$string['potentialcreators'] = 'Potential class creators';
$string['profilenotshown'] = 'This profile description will not be shown until this person is enrolled in at least one class.';
$string['removecreator'] = 'Remove class creator';
$string['requestcourse'] = 'Request a class';
$string['requestedcourses'] = 'Requested classes';
$string['requestreason'] = 'Reason for class request';
$string['requirespayment'] = 'This class requires payment for access';
$string['resetcourse'] = 'Reset class';
$string['resetinfo'] = 'This page allows you to empty a class of user data, while retaining the activities and other settings.  Please be warned that by choosing items below and submitting this page you will delete your chosen user data from this class forever!';
$string['resources_help'] = 'Resource types enable almost any kind of web content to be inserted into the class.';
$string['restorecoursenow'] = 'Restore this class now!';
$string['rolerenaming_help'] = 'This setting allows the displayed names for roles used in the class to be changed. Only the displayed name is changed - role permissions are not affected.  New role names will appear on the class participants page and elsewhere within the class. If the renamed role is one that the administrator has selected as a class manager role, then the new role name will also appear as part of the class listings.';
$string['savechangesandreturntocourse'] = 'Save and return to class';
$string['scalestandard_help'] = 'A standard scale is available site-wide, for all classes.';
$string['scalestip'] = 'To create custom scales, use the \'Scales...\' link in your class administration menu.';
$string['scalestip2'] = 'To create custom scales, click the Grades link in the class administration menu, then choose Edit, Scales.';
$string['searchcourses'] = 'Search classes';
$string['selectacourse'] = 'Select a class';
$string['selectacoursesite'] = 'Select a class or site';
$string['shortnamecollisionwarning'] = '[*] = This shortname is already in use by a class and will need to be changed upon approval';
$string['shortnamecourse'] = 'Class short name';
$string['shortnamecourse_help'] = 'The short name of the class is displayed in the navigation and is used in the subject line of class email messages.';
$string['shortnametaken'] = 'Short name is already used for another class ({$a})';
$string['showallcourses'] = 'Show all classes';
$string['showblockcourse'] = 'Show list of classes containing block';
$string['showdescription'] = 'Display description on class page';
$string['showgrades_help'] = 'Many activities in the class allow grades to be set. This setting determines whether a student can view a list of all their grades for the class via a grades link in the class administration block.';
$string['showlistofcourses'] = 'Show list of classes';
$string['showmodulecourse'] = 'Show list of classes containing activity';
$string['showreports_help'] = 'Activity reports are available for each participant that show their activity in the class. As well as listings of their contributions, such as forum posts or assignment submissions, these reports also include access logs. This setting determines whether a student can view their own activity reports via their profile page.';
$string['sitefilesused'] = 'Site files used in this class';
$string['someallowguest'] = 'Some classes may allow guest access';
$string['starpending'] = '([*] = class pending approval)';
$string['startdate'] = 'Class start date';
$string['statsnodata'] = 'There is no available data for that combination of class and time period.';
$string['statsnodatauser'] = 'There is no available data for that combination of class, user and time period.';
$string['statsreport11'] = 'Most active classes';
$string['statsreport12'] = 'Most active classes (weighted)';
$string['statsreport13'] = 'Most participatory classes (enrollments)';
$string['statsreport14'] = 'Most participatory classes (views/posts)';
$string['statsreport9'] = 'Logins (site class)';
$string['studentnotallowed'] = 'Sorry, but you can not enter this class as \'{$a}\\';
$string['summary_help'] = 'The idea of a summary is a short text to prepare students for the activities within the topic or week. The text is shown on the class page under the section name.';
$string['therearecourses'] = 'There are {$a} classes';
$string['thereareno'] = 'There are no {$a} in this class';
$string['updatethiscourse'] = 'Update this class';
$string['usingexistingcourse'] = 'Using existing class';
$string['viewallcourses'] = 'View all classes';
$string['viewallcoursescategories'] = 'View all classes and categories';
$string['writingcoursedata'] = 'Writing class data';
$string['youneedtoenrol'] = 'To perform that action you need to enroll in this class.';
